# ~/.config/starship.toml

add_newline = true  # Inserts a blank line between shell prompts
command_timeout = 1000  # Change command timeout from 500 to 1000 ms
format = """${custom.uptime} $env_var $all"""  # Add custom formatting before other stuff

# Drop ugly default prompt characters
[character]
success_symbol = ""
error_symbol = ""

# ---

# Shows an icon depending on what distro it is running on
[env_var.STARSHIP_DISTRO]
format = '[$env_value](bold white) '
variable = "STARSHIP_DISTRO"
disabled = true

# Shows the current username
[env_var.USER]
format = '[$env_value](bold blue)'
variable = "USER"
disabled = false

# Shows an icon depending on what device it is running on
[env_var.STARSHIP_DEVICE]
format = ' on $[env_value](bold green)'
variable = "STARSHIP_DEVICE"
disabled = true

# ---

# Shows the hostname
[hostname]
ssh_only = false
format = "[$hostname](bold green) "
disabled = false

# Shows current directory
[directory]
truncation_length = 1
truncation_symbol = "…/"
home_symbol = " ~"
read_only_style = "197"
read_only = "  "
format = "at [$path]($style)[$read_only]($read_only_style) "

# Shows current git branch
[git_branch]
symbol = " "
format = "via [$symbol$branch]($style) "
# truncation_length = 4
truncation_symbol = "…/"
style = "bold green"

# Shows current git status
[git_status]
format = '[\($all_status$ahead_behind\)]($style) '
style = "bold green"
conflicted = "🏳"
up_to_date = " "
untracked = " "
ahead = "⇡${count}"
diverged = "⇕⇡${ahead_count}⇣${behind_count}"
behind = "⇣${count}"
stashed = " "
modified = " "
staged = '[++\($count\)](green)'
renamed = "襁 "
deleted = " "

# Shows kubernetes context and namespace
[kubernetes]
format = 'via [ﴱ $context\($namespace\)](bold purple) '
disabled = false

[custom.uptime]
command = "~/bin/uptime.sh"
when = "true"
format = "[$symbol($output)](bright-black)"

# ---

# Disable some modules that aren't needed anymore
[username]
disabled = true

[vagrant]
disabled = true

[docker_context]
disabled = true

[helm]
disabled = true

[python]
disabled = true

[nodejs]
disabled = true

[ruby]
disabled = true

[terraform]
disabled = true

[aws]
symbol = "  "

[buf]
symbol = " "

[c]
symbol = " "

[conda]
symbol = " "

[dart]
symbol = " "

#[directory]
#read_only = " "

#[docker_context]
#symbol = " "

[elixir]
symbol = " "

[elm]
symbol = " "

[fossil_branch]
symbol = " "

#[git_branch]
#symbol = " "

[golang]
symbol = " "

[guix_shell]
symbol = " "

[haskell]
symbol = " "

[haxe]
symbol = "⌘ "

[hg_branch]
symbol = " "

#[hostname]
#ssh_symbol = " "

[java]
symbol = " "

[julia]
symbol = " "

[lua]
symbol = " "

[memory_usage]
symbol = " "

[meson]
symbol = "喝 "

[nim]
symbol = " "

[nix_shell]
symbol = " "

#[nodejs]
#symbol = " "

[os.symbols]
Alpaquita = " "
Alpine = " "
Amazon = " "
Android = " "
Arch = " "
Artix = " "
CentOS = " "
Debian = " "
DragonFly = " "
Emscripten = " "
EndeavourOS = " "
Fedora = " "
FreeBSD = " "
Garuda = "﯑ "
Gentoo = " "
HardenedBSD = "ﲊ "
Illumos = " "
Linux = " "
Mabox = " "
Macos = " "
Manjaro = " "
Mariner = " "
MidnightBSD = " "
Mint = " "
NetBSD = " "
NixOS = " "
OpenBSD = " "
openSUSE = " "
OracleLinux = " "
Pop = " "
Raspbian = " "
Redhat = " "
RedHatEnterprise = " "
Redox = " "
Solus = "ﴱ "
SUSE = " "
Ubuntu = " "
Unknown = " "
Windows = " "

[package]
symbol = " "

[pijul_channel]
symbol = "🪺 "

#[python]
#symbol = " "

[rlang]
symbol = "ﳒ "

#[ruby]
#symbol = " "

[rust]
symbol = " "

[scala]
symbol = " "

[spack]
symbol = "🅢 "
